---
title: "FAQ | The no-JS.club"
date: "2022-04-26T13:03:54+02:00"
draft: false
---

## no-JS Club FAQ

<p>Below you find commonly asked question regarding the no-JS.club project and membership:</p>

{{< detail-tag "Terms and conditions" >}}
### Your website must be...
- **SFW**
- **accessible via HTTPS**

### Your website doesn't include the following contents
- **pornography/sexism or otherwise offensive**
- **fanaticism**
- **racism**
- **illegal material of any kind**
{{< /detail-tag >}}

{{< detail-tag "How to join the no-JS club?" >}}
### Instructions
<p>If you're interested in getting your site added to the no-JS club, all you need to do is to follow this step-by-step guide:</p>

1. 🤞 Use [GTMetrix](https://gtmetrix.com) to analyse your website 🤞

2. Once complete, click on **"Waterfall"** and note 📝 the uncompressed size of transfered data

![Accepted domain - All tab GTmetrix analyse result](/assets/no-js/accepted_gtmetrix_waterfall_all.webp)

3. Next click on the **"JS"** tab to make sure your homepage doesn't contain JS code

4. 🙌  Example Result Where No JavaScript Detected 🙌

![Accepted domain - JS tab GTmetrix analyse result](/assets/no-js/accepted_gtmetrix_waterfall_js.webp)

5. 😞 Example Result Where JavaScript Was Detected! 😞

![Denied domain - JS tab GTmetrix analyse result](/assets/no-js/denied_gtmetrix_waterfall_js.webp)

6. If your website satisfies the requirement, [submit a ticket 🎫 on sourcehut](https://todo.sr.ht/~hmbrg/no-JS.club)

#### Example Of A Filled Ticket
![sourcehut membership request ticket](/assets/no-js/membership-request-ticket.webp)

7. Once your request is approved, the domain will be added to the member list below

Note: I reserve the right to not add sites based on whether I think they're suitable to be added or not

[Example ticket showcasing an accepted request 🙌](https://todo.sr.ht/~hmbrg/no-JS.club/1)

[Example ticket showcasing a denied request 😢](https://todo.sr.ht/~hmbrg/no-JS.club/2)
{{< /detail-tag >}}

{{< detail-tag "Is there any way I can show that I am a no-JS club member?" >}}
### Using the no-JS.club logos to showcase membership

Yes, **if your website is qualified and included in our list**, you are entitled to use one of the following two logos:

### Available logos

**Bright logo which fits darker website layout:**

[![This website is a proud member of the no-JS.club](https://no-js.club/images/no-JS.club_logo_bright.svg)](https://no-js.club)

**Dark logo which fits brighter website layout:**

[![This website is a proud member of the no-JS.club](https://no-js.club/images/no-JS.club_logo_dark.svg)](https://no-js.club)

### How to integrate logos

**HTML code snippet for bright logo:**

`<a href="https://no-js.club/"><img alt="no-JS club" src="https://no-js.club/images/no-JS.club_logo_bright.svg">`

**HTML code snippet for dark logo:**

`<a href="https://no-js.club/"><img alt="no-JS club" src="https://no-js.club/images/no-JS.club_logo_dark.svg">`

**Markdown code snippets for bright logo:**

`[![This website is a proud member of the no-JS.club](https://no-js.club/images/no-JS.club_logo_bright.svg)](https://no-js.club)`

**Markdown code snippets for dark logo:**

`[![This website is a proud member of the no-JS.club](https://no-js.club/images/no-JS.club_logo_dark.svg)](https://no-js.club)`

### How to change logo size

**HTML solution if those image are to large/small, change values of "width:100px" and "height:100px" to your liking**

#### HTML solution if those images are to large/small

`(https://no-js.club/images/no-JS.club_logo_bright.svg style="width:100px;height:100px")](https://no-js.club)`

`(https://no-js.club/images/no-JS.club_logo_dark.svg style="width:100px;height:100px")](https://no-js.club)`

#### Markdown solution if those image are to large/small

Download the logo of your choice and open it with a text editor.

**Lines five and six** contain the dimensions in millimeters, which **can be adjusted to your liking.**

`width="31.75940125mm"`

`height="27.790841875mm"`

Upload the updated logo file to you web space and change the Markdown logo integration snippet respectively.
{{< /detail-tag >}}

{{< detail-tag "Will membership cost me anything?" >}}
### The cost of membership
Good you asked! All this time I have been thinking about how I can gently teach you that **membership will not bankrupt you** but, except for the effort of making an application via ticket and waiting for it to be approved, **absolutely doesn’t cost a dime!**
{{< /detail-tag >}}


{{< detail-tag "I have further questions?!?" >}}
### Contact information
If you still have unanswered questions after reading the FAQ, you can **[submit a ticket](https://todo.sr.ht/~hmbrg/no-JS.club)** and let us know what needs to be clarified.
{{< /detail-tag >}}
